POST /v1/unfurl
Service: commerce · operationId: (none)
Required scopes
(no scope declared — review service config)
Request body
{
"type": "object",
"properties": {
"url": {
"type": "string",
"format": "uri"
}
},
"required": [
"url"
]
}Responses
200 Link unfurl preview
{
"type": "object",
"properties": {
"url": {
"type": "string",
"format": "uri"
},
"title": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"image": {
"type": [
"string",
"null"
]
},
"kind": {
"type": "string",
"enum": [
"website",
"youtube",
"twitter",
"loop-peptide",
"loop-protocol"
]
}
},
"required": [
"url",
"title",
"description",
"image",
"kind"
]
}422 Unable to resolve preview
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}429 Too many unfurl requests
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://commerce.platform.loop.health/v1/unfurl \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/commerce— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced